summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorPavel Sanda <ps@twin.jikos.cz>2010-11-04 23:31:18 +0100
committerPavel Sanda <ps@twin.jikos.cz>2010-11-04 23:31:18 +0100
commite06579fb432858c4b204467d1348653243810716 (patch)
tree31137f1c87e8e4b2f3cefab95ad9c086117596d9
parentAdd ams (diff)
downloadrebutia-e06579fb432858c4b204467d1348653243810716.tar.gz
rebutia-e06579fb432858c4b204467d1348653243810716.tar.bz2
rebutia-e06579fb432858c4b204467d1348653243810716.zip
Add dsam
-rw-r--r--sci-misc/dsam/Manifest3
-rw-r--r--sci-misc/dsam/dsam-2.8.30.ebuild37
-rw-r--r--sci-misc/dsam/files/dsam.patch62
3 files changed, 102 insertions, 0 deletions
diff --git a/sci-misc/dsam/Manifest b/sci-misc/dsam/Manifest
new file mode 100644
index 0000000..4f169cc
--- /dev/null
+++ b/sci-misc/dsam/Manifest
@@ -0,0 +1,3 @@
+AUX dsam.patch 1670 RMD160 31d8580d182c3e520e21a907ab9ab291d7283d33 SHA1 0455b8eb5b16de4b939d28fb0a57738dba158ca9 SHA256 1653cdb7d140e08b19b78a73d55e5d9c9d185633fa4ee0a868546bad916cf543
+DIST dsam-2.8.30.tar.gz 1217647 RMD160 df7d362e67f80f58a43b6a1e5129fbc3c1ce6c7b SHA1 20e35ab1cbfff75ae9fbac6504fd3e3450249995 SHA256 cd5a35c43315914c940735ab7853a74167cf08e8be76939db8123f4bc83d0510
+EBUILD dsam-2.8.30.ebuild 853 RMD160 268d0a357cceae8e25d787f291a6560712eb4b05 SHA1 ad92ffbbf3a367e9121fdb24e8c77929abcc773e SHA256 a22ae48469b280b7e75db5528e2d64d95e37d58a90f9c29e21c302a32fc2c941
diff --git a/sci-misc/dsam/dsam-2.8.30.ebuild b/sci-misc/dsam/dsam-2.8.30.ebuild
new file mode 100644
index 0000000..89374f0
--- /dev/null
+++ b/sci-misc/dsam/dsam-2.8.30.ebuild
@@ -0,0 +1,37 @@
+# Copyright 1999-2010 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: Fixes send to ps@twin.jikos.cz $
+
+EAPI=2
+
+inherit eutils wxwidgets
+
+WX_GTK_VER=2.8
+
+DESCRIPTION="Development System for Auditory Modelling"
+HOMEPAGE="http://www.pdn.cam.ac.uk/groups/dsam"
+SRC_URI="http://prdownloads.sourceforge.net/dsam/dsam-2.8.30.tar.gz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="x86"
+IUSE="wxwidgets portaudio"
+
+DEPEND="sci-libs/fftw
+ media-libs/libsndfile
+ wxwidgets? ( x11-libs/wxGTK )
+ portaudio? ( media-libs/portaudio )"
+RDEPEND="${DEPEND}"
+
+src_configure() {
+ need-wxwidgets gtk2
+ epatch "${FILESDIR}"/dsam.patch || die
+ ./autogen.sh
+ #for some weird reason first pass returns errors which are fixed in the second pass
+ econf
+ econf
+}
+
+src_install() {
+ emake DESTDIR="${D}" install || die "emake install failed"
+}
diff --git a/sci-misc/dsam/files/dsam.patch b/sci-misc/dsam/files/dsam.patch
new file mode 100644
index 0000000..337c3b1
--- /dev/null
+++ b/sci-misc/dsam/files/dsam.patch
@@ -0,0 +1,62 @@
+--- old 2010-11-04 17:33:50.000000000 +0100
++++ configure.ac 2010-11-04 17:36:20.000000000 +0100
+@@ -427,8 +427,8 @@
+ if test x$DSAM_EXT = xyes -a x$wxwinAvailable = xyes; then
+ CXXFLAGS_save=$CXXFLAGS
+ CXXFLAGS=`$WX_CONFIG --cxxflags base`
+- LDFLAGS_save=$LDFLAGS
+- LDFLAGS=`$WX_CONFIG --libs base`
++ LIBS_save=$LDFLAGS
++ LIBS=`$WX_CONFIG --libs base`
+ AC_MSG_CHECKING([for wxWidgets base support for threaded extensions])
+ AC_LINK_IFELSE(
+ [
+@@ -457,7 +457,7 @@
+ )
+ AC_MSG_RESULT($wx_base_available);
+ CXXFLAGS=$CXXFLAGS_save
+- LDFLAGS=$LDFLAGS_save
++ LIBS=$LDFLAGS_save
+ fi
+
+ dnl ----------------------------------------------------------------------------
+@@ -468,8 +468,8 @@
+ AC_MSG_CHECKING([for wxWidgets GUI support])
+ CXXFLAGS_save=$CXXFLAGS
+ CXXFLAGS=`$WX_CONFIG --cxxflags`
+- LDFLAGS_save=$LDFLAGS
+- LDFLAGS=`$WX_CONFIG --libs`
++ LIBS_save=$LIBS
++ LIBS=`$WX_CONFIG --libs`
+ AC_LINK_IFELSE(
+ [
+ AC_LANG_SOURCE(
+@@ -499,7 +499,7 @@
+ )
+ AC_MSG_RESULT($using_wxWidgets_gui);
+ CXXFLAGS=$CXXFLAGS_save
+- LDFLAGS=$LDFLAGS_save
++ LIBS=$LIBS_save
+ fi
+
+ dnl ----------------------------------------------------------------------------
+@@ -510,8 +510,8 @@
+ AC_MSG_CHECKING([for wxWidgets OGL support])
+ CXXFLAGS_save=$CXXFLAGS
+ CXXFLAGS=`$WX_CONFIG --cxxflags`
+- LDFLAGS_save=$LDFLAGS
+- LDFLAGS=`$WX_CONFIG --libs std,ogl`
++ LIBS_save=$LDFLAGS
++ LIBS=`$WX_CONFIG --libs std,ogl`
+ AC_LINK_IFELSE(
+ [
+ AC_LANG_SOURCE(
+@@ -543,7 +543,7 @@
+ )
+ AC_MSG_RESULT($using_wxWidgets_ogl);
+ CXXFLAGS=$CXXFLAGS_save
+- LDFLAGS=$LDFLAGS_save
++ LIBS=$LDFLAGS_save
+ fi
+
+ dnl ----------------------------------------------------------------------------